com.sun.grid.jgdi.util.shell

## Class QrSubCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QrSubCommand

-     public class QrSubCommand
      extends AnnotatedCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QrSubCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printUsage(OptionInfo oi)`
    `void` | `run(java.lang.String[] args)` Run the command
    `void` | `setAaccountString(OptionInfo oi)`
    `void` | `setCheckPoint(OptionInfo oi)`
    `void` | `setDuration(OptionInfo oi)`
    `void` | `setEndTime(OptionInfo oi)`
    `void` | `setHardError(OptionInfo oi)`
    `void` | `setJobName(OptionInfo oi)`
    `void` | `setMailList(OptionInfo oi)`
    `void` | `setMailOption(OptionInfo oi)`
    `void` | `setMasterQueue(OptionInfo oi)`
    `void` | `setNow(OptionInfo oi)`
    `void` | `setPE(OptionInfo oi)`
    `void` | `setQueueList(OptionInfo oi)`
    `void` | `setResourceList(OptionInfo oi)`
    `void` | `setStartTime(OptionInfo oi)`
    `void` | `setUserList(OptionInfo oi)`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QrSubCommand

          public QrSubCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

    - #### setStartTime

          public void setStartTime(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setAaccountString

          public void setAaccountString(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### setCheckPoint

          public void setCheckPoint(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setDuration

          public void setDuration(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setEndTime

          public void setEndTime(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setHardError

          public void setHardError(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### printUsage

          public void printUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setResourceList

          public void setResourceList(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setMailOption

          public void setMailOption(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setMasterQueue

          public void setMasterQueue(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### setNow

          public void setNow(OptionInfo oi)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### setMailList

          public void setMailList(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setJobName

          public void setJobName(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setPE

          public void setPE(OptionInfo oi)
                     throws JGDIException

      Throws:
        `JGDIException`

    - #### setQueueList

          public void setQueueList(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setUserList

          public void setUserList(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.